using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;
using System.Drawing;

namespace MKDS_Course_Editor.NKM
{
    public class NkmCamePointCollection
    {
        private List<NkmCamePoint> Points = new List<NkmCamePoint>();
        public void Add(NkmCamePoint n)
        {
            Points.Add(n);
        }
        public void Add(float X1, float Y1, float Z1, float X2, float Y2, float Z2, float X3, float Y3, float Z3)
        {
            Points.Add(new NkmCamePoint(X1, Y1, Z1, X2, Y2, Z2, X3, Y3, Z3));
        }
        public NkmCamePoint this[int i]
        {
            get { return Points[i]; }
            set { Points[i] = value; }
        }
        public int Length
        {
            get { return Points.Count; }
        }
        public void RemoveAt(int i)
        {
            Points.RemoveAt(i);
        }
        public void Insert(int i, NkmCamePoint p)
        {
            Points.Insert(i, p);
        }
    }
}
